--- a/debian/scripts/suspend/cryptsetup-suspend-wrapper
+++ b/debian/scripts/suspend/cryptsetup-suspend-wrapper
@@ -69,8 +69,12 @@
 
     # copy all firmware files to ramdisk to prevent dead-lock
     # see https://salsa.debian.org/mejo/cryptsetup-suspend/issues/38)
-    rm -r "${INITRAMFS_DIR:-/nonexistent}/lib/firmware"
-    cp -r /lib/firmware "$INITRAMFS_DIR/lib/firmware"
+    # XXX we should probably identify which firmwares need to be loaded
+    # and only copy those
+    if [ -d /lib/firmware ]; then
+        rm -rf "$INITRAMFS_DIR/lib/firmware"
+        cp -r /lib/firmware "$INITRAMFS_DIR/lib/firmware"
+    fi
 
     for p in $BIND_PATHS; do
         mkdir -p -m 0755 "$INITRAMFS_DIR$p"
